%%  3:28 AM Tuesday, April 18, 2023
%% Yukio Yoshida
\version "2.24.1"
#(set-default-paper-size "letter")
#(set-global-staff-size 18)

\header {
  dedication = \markup { \column { " " " " "Wordless Poem" " "　} }
  title = "Floats to Earth"
  subtitle = "A panorama of the universe"
  subsubtitle = "Landscape of a major"
  instrument = \markup \center-column {
                   "soprano; C clef on 1st line,   alto; C clef on 3rd line." }
  composer = \markup { \italic "yukio yoshida" }
  meter = "Largo"
  arranger = \markup{\tiny "No.30(Jun. 11, 2008)"}
copyright = "public Domain"
%% tagline = " "
}

%% --- Soprano part ---------------------------------------------------------------
soprano = {
        \autoBeamOff
        \partial 4 fis'8[ gis'] |
%%1-3
        r8 cis''4 d''2. b'8 a' r8 | cis'2. d''8  fis''4. fis'8 cis'8~ |
        cis'4 d''2. e''8 e'4 cis'8~ |
\break
%%4-7
        cis'4 fis'4. e'4. gis'4 e'4 | e''2. fis'8 e' a'2 | gis'4. e' fis' d' |
        e'4 b'2 fis'4 cis''2 |
\break
%%8-11
        a'2. e''2 cis''4~ | cis''4 e''8 d'' r b' a'2. |
        d''8 r b' r gis'2.. r8 | gis'1.^\fermata |
\break
%%12-15
        r1 r4 a'8 b' | cis''1~ cis''4  r4 | r1 r4 b'8 cis'' | d''1~ d''4  r4 |
\break
%%16-20
        r1 r4 b'8 a' | gis'1~ gis'4  r4 | r1 r4 fis'8 e' |
        r4 c''1 r4 | cis'1.^\fermata~ | cis'1.\fermata \bar "|."
}


sopranoM = {
        \autoBeamOff
        \partial 4 fis'8[ gis'] |
        r8 cis''4 d''2. b'8 a' r8 | cis'2. d''8  fis''4. fis'8 cis'8~ |
        cis'4 d''2. e''8 e'4 cis'8~ |
\break
        cis'4 fis'4. e'4. gis'4 e'4 | e''2. fis'8 e' a'2 | gis'4. e' fis' d' |
        e'4 b'2 fis'4 cis''2 |
\break
        a'2. e''2 cis''4~ | cis''4 e''8 d'' r b' a'2. |
        d''8 r b' r gis'2.. r8 | gis'1.^\fermata |
\break
        r1 r4 a'8 b' | cis''1~ cis''4  r4 | r1 r4 a'8 b' | cis''1~ cis''4  r4 |
\break
        r1 r4 b'8 a' | gis'1~ gis'4  r4 | r1 r4 fis'8 e' |
        r4 c''1 r4 | cis'1.^\fermata~ | cis'1.\fermata \bar "|."
}

%% --- alto part ---------------------------------------------------------------
alto = {
        \autoBeamOff
        \partial 4 cis'4 |
%%1-3
        gis'2. fis'8 e' d' r8 cis' b~ | b4. d'16 e' gis'8 fis'16 e' cis'2. |
        a1 a'8 b'4.~ |
\break
%%4-7
        b'8 gis' a'2 fis'4 gis'8 a' b'16 fis'8.~ |
        fis'4 e'16 d' cis' r16 fis'2.. cis''8~ | cis''4. b'2.. cis''4 |
        b'2 b4 a'2 a4 |
\break
%%8-11
         fis'2 cis'8 r8 b r a2 | b4 a8 r cis' r e'2. |
         \stemDown b8\stemNeutral cis' r e' fis'2.~ fis'16 gis' a' r16 |
         e'1.^\fermata |
\break
%%12-15
         d'8 e' fis'1 r4 | r1 r4 e'8 fis' | gis'1~ gis'4 r4 | r1 r4 fis'8 gis' |
\break
%%16-20
         a'1~ a'4 r4 | r1 r4 gis'8 a' | b'1~ b'4 gis'8 fis' |
         r4 c'1 r4 | cis'1.^\fermata~ | cis'1.^\fermata  \bar "|."
}

altoM = {
        \autoBeamOff
        \partial 4 cis'4 |
%%1-3
        gis'2. fis'8 e' d' r8 cis' b | b4. d'16 e' gis'8 fis'16 e' cis'2. |
        a1 a'8 b'4. |
\break
        b'8 gis' a'2 fis'4 gis'8 a' b'16 fis'8.~ |
        fis'4 e'16 d' cis' r16 fis'2.. cis''8~ | cis''4. b'2.. cis''4 |
        b'2 b4 a'2 a4 |
\break
        fis'2 cis'8 r8 b r a2 | b4 a8 r cis' r e'2. |
        b8 cis' r e' fis'2.~ fis'16 gis' a' r16 | e'1.^\fermata |
\break
         d'8 e' fis'1 r4 | r1 r4 e'8 fis' |  gis'1~ gis'4 r4 | r1 r4 fis'8 gis' |
\break
         a'1~ a'4 r4 | r1 r4 gis'8 a' | b'1~ b'4 gis'8 fis' |
         r4 c'1 r4 | cis'1.^\fermata~ | cis'1.^\fermata  \bar "|."
}


%% get sheet music --------------------------------------------------------
\score {
         <<
           \context ChoirStaff = "FourPartStaffaddchorus" <<
           \new Voice = "soprano" \with { \consists Ambitus_engraver}
                      { \clef soprano \key a\major \time 3/2
                        \set Staff.instrumentName = "soprano" \soprano }
           %%             \new Lyrics \lyricsto "soprano" { \sopranoL }

           \new Voice = "alto" \with { \consists Ambitus_engraver}
                      { \clef alto \key a\major \time 3/2
                        \set Staff.instrumentName = "alto   " \alto }
           %%             \new Lyrics \lyricsto "alto" { \altoL }
                                            >>

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key a\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key a\major \time 3/3
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>

         >>

  \layout {}
       }

%% get midi music ---------------------------------------------------------
\score {
         <<
           \new Staff { \clef soprano \key a\major \time 3/2 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 4 (choir)"
                                         \unfoldRepeats       \sopranoM }

           \new Staff { \clef alto \key a\major \time 3/2 \tempo 4 = 46
                         \set Staff.midiInstrument = "pad 4 (choir)"
                                         \unfoldRepeats          \altoM }

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key a\major \time 3/2
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key a\major \time 3/3
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>
         >>

   \midi {
           tempoWholesPerMinute = #(ly:make-moment 46 4)
           }
        }
%%
%% End:
%%